# This dockerfile is specific to building Multus for OpenShift
FROM openshift/golang-builder:rhel_8_golang_1.13 AS rhel8
ENV __doozer=update BUILD_RELEASE=202007291438.p0 BUILD_VERSION=v4.4.0 OS_GIT_MAJOR=4 OS_GIT_MINOR=4 OS_GIT_PATCH=0 OS_GIT_TREE_STATE=clean OS_GIT_VERSION=4.4.0-202007291438.p0 SOURCE_GIT_TREE_STATE=clean 
ENV __doozer=merge OS_GIT_COMMIT=cdba584 OS_GIT_VERSION=4.4.0-202007291438.p0-cdba584 SOURCE_DATE_EPOCH=1579828275 SOURCE_GIT_COMMIT=cdba584fe8c6d8be42cf3677b41d1646efce8e57 SOURCE_GIT_TAG=cdba584 SOURCE_GIT_URL=https://github.com/openshift/containernetworking-plugins 
ADD . /usr/src/plugins
WORKDIR /usr/src/plugins
ENV CGO_ENABLED=0
RUN ./build_linux.sh && \
    cd /usr/src/plugins/bin
WORKDIR /

FROM openshift/golang-builder:1.13 AS rhel7
ENV __doozer=update BUILD_RELEASE=202007291438.p0 BUILD_VERSION=v4.4.0 OS_GIT_MAJOR=4 OS_GIT_MINOR=4 OS_GIT_PATCH=0 OS_GIT_TREE_STATE=clean OS_GIT_VERSION=4.4.0-202007291438.p0 SOURCE_GIT_TREE_STATE=clean 
ENV __doozer=merge OS_GIT_COMMIT=cdba584 OS_GIT_VERSION=4.4.0-202007291438.p0-cdba584 SOURCE_DATE_EPOCH=1579828275 SOURCE_GIT_COMMIT=cdba584fe8c6d8be42cf3677b41d1646efce8e57 SOURCE_GIT_TAG=cdba584 SOURCE_GIT_URL=https://github.com/openshift/containernetworking-plugins 
ADD . /usr/src/plugins
WORKDIR /usr/src/plugins
ENV CGO_ENABLED=0
RUN ./build_linux.sh && \
    cd /usr/src/plugins/bin
WORKDIR /

FROM openshift/ose-base:v4.4.0.20200729.144748
ENV __doozer=update BUILD_RELEASE=202007291438.p0 BUILD_VERSION=v4.4.0 OS_GIT_MAJOR=4 OS_GIT_MINOR=4 OS_GIT_PATCH=0 OS_GIT_TREE_STATE=clean OS_GIT_VERSION=4.4.0-202007291438.p0 SOURCE_GIT_TREE_STATE=clean 
ENV __doozer=merge OS_GIT_COMMIT=cdba584 OS_GIT_VERSION=4.4.0-202007291438.p0-cdba584 SOURCE_DATE_EPOCH=1579828275 SOURCE_GIT_COMMIT=cdba584fe8c6d8be42cf3677b41d1646efce8e57 SOURCE_GIT_TAG=cdba584 SOURCE_GIT_URL=https://github.com/openshift/containernetworking-plugins 
RUN mkdir -p /usr/src/plugins/bin && \
    mkdir -p /usr/src/plugins/rhel7/bin && \
    mkdir -p /usr/src/plugins/rhel8/bin
COPY --from=rhel7 /usr/src/plugins/bin/* /usr/src/plugins/rhel7/bin/
COPY --from=rhel7 /usr/src/plugins/bin/* /usr/src/plugins/bin/
COPY --from=rhel8 /usr/src/plugins/bin/* /usr/src/plugins/rhel8/bin/

LABEL \
        io.k8s.display-name="Container Networking Plugins" \
        io.k8s.description="This is a component of OpenShift Container Platform and provides the reference CNI plugins." \
        io.openshift.tags="openshift" \
        maintainer="Doug Smith <dosmith@redhat.com>" \
        name="openshift/ose-container-networking-plugins" \
        com.redhat.component="ose-containernetworking-plugins-container" \
        io.openshift.maintainer.product="OpenShift Container Platform" \
        io.openshift.maintainer.component="Networking" \
        io.openshift.maintainer.subcomponent="multus" \
        release="202007291438.p0" \
        io.openshift.build.commit.id="cdba584fe8c6d8be42cf3677b41d1646efce8e57" \
        io.openshift.build.source-location="https://github.com/openshift/containernetworking-plugins" \
        io.openshift.build.commit.url="https://github.com/openshift/containernetworking-plugins/commit/cdba584fe8c6d8be42cf3677b41d1646efce8e57" \
        version="v4.4.0"

